This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 574865 - [abrt] crash in paraview-3.6.2-1.fc12: Process /usr/lib64/paraview/pvpython-real was killed by signal 11 (SIGSEGV)
[abrt] crash in paraview-3.6.2-1.fc12: Process /usr/lib64/paraview/pvpython-r...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: paraview (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
abrt_hash:137188dc2b04e5e69ad698c2e49...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-18 13:37 EDT by emanuele
Modified: 2010-12-03 12:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:06:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.08 KB, text/plain)
2010-03-18 13:37 EDT, emanuele
no flags Details

  None (edit)
Description emanuele 2010-03-18 13:37:23 EDT
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/paraview/pvpython-real script.py
component: paraview
executable: /usr/lib64/paraview/pvpython-real
kernel: 2.6.32.9-70.fc12.x86_64
package: paraview-3.6.2-1.fc12
rating: 4
reason: Process /usr/lib64/paraview/pvpython-real was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

comment
-----
Description of problem: pvpython crashes while attempting to save an image of current 3D scene.

Version-Release number: 3.6.2-1.fc12


How reproducible: Every time


Steps to Reproduce:
1. from the command line type: pvpython sphere.py

Actual results: pvpython crashed with Segmentation fault (core dumped).


Expected results: pvpython should save an image.


Additional info: source code of the script sphere.py
------------------------------------------------------------------------------------
from paraview.simple import *
from paraview import servermanager
sfera=Sphere(ThetaResolution=30,PhiResolution=30)
vista=servermanager.CreateRenderView()
vista.UseOffscreenRenderingForScreenshots=1

rep=servermanager.CreateRepresentation(sfera,vista)
rep.Representation=1
vista.ResetCamera()

camera=vista.GetActiveCamera()
camera.Elevation(30)
camera.Azimuth(30)

WriteImage('./prova.jpg',vista)
------------------------------------------------------------------------------------

Additional info: Paraview can save an image of a 3D scene similar to that produced by the script without errors (only warnings,  twenty times: QPainter::begin: Paint device returned engine == 0, type: 2)

new installation of Fedora 12 x86_64 with all updates until March 18, 2010

How to reproduce
-----
1.from the command line type: pvpython sphere.py
2.
3.
Comment 1 emanuele 2010-03-18 13:37:27 EDT
Created attachment 401089 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 15:16:21 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 12:06:55 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.